OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_RefShape Class Reference

`#include <TNaming_RefShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TNaming_RefShape ()
| TNaming_RefShape (const TopoDS_Shape &S)
void | Shape (const TopoDS_Shape &S)
void | FirstUse (const TNaming_PtrNode &aPtr)
TNaming_PtrNode | FirstUse () const
const TopoDS_Shape & | Shape () const
Standard_EXPORT TDF_Label | Label () const
Standard_EXPORT Handle_TNaming_NamedShape | NamedShape () const
## Private Attributes
TopoDS_Shape | myShape
TNaming_PtrNode | myFirstUse

## Constructor & Destructor Documentation

TNaming_RefShape::TNaming_RefShape | ( |  | ) | `[inline]`

TNaming_RefShape::TNaming_RefShape | ( | const TopoDS_Shape & | S | ) | `[inline]`

## Member Function Documentation

TNaming_PtrNode TNaming_RefShape::FirstUse | ( |  | ) | const`[inline]`

void TNaming_RefShape::FirstUse | ( | const TNaming_PtrNode & | aPtr | ) | `[inline]`

Standard_EXPORT TDF_Label TNaming_RefShape::Label | ( |  | ) | const

Standard_EXPORT Handle_TNaming_NamedShape TNaming_RefShape::NamedShape | ( |  | ) | const

void TNaming_RefShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_RefShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_RefShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TopoDS_Shape & TNaming_RefShape::Shape | ( |  | ) | const`[inline]`

void TNaming_RefShape::Shape | ( | const TopoDS_Shape & | S | ) | `[inline]`

## Field Documentation

TNaming_PtrNode TNaming_RefShape::myFirstUse`[private]`

TopoDS_Shape TNaming_RefShape::myShape`[private]`

The documentation for this class was generated from the following files:

- TNaming_RefShape.hxx
- TNaming_RefShape.lxx